from flask import Blueprint


SERVICES = {
    'corpus_analysis': {
        'name': 'Corpus analysis'
    },
    'file-setup': {
        'name': 'File setup',
        'versions': {
            'latest': '1.0.0',
            '1.0.0': {
                'publishing_data': {
                    'date': None,
                    'title': 'nopaque File setup service',
                    'url': 'https://gitlab.ub.uni-bielefeld.de/sfb1288inf/file-setup/-/tree/1.0.0',  # noqa
                    'version': '1.0.0'
                }
            }
        }
    },
    'nlp': {
        'name': 'Natural Language Processing',
        'versions': {
            'latest': '1.0.0',
            '1.0.0': {
                'check_encoding': True,
                'models': {},
                'publishing_data': {
                    'date': None,
                    'title': 'nopaque NLP service',
                    'url': 'https://gitlab.ub.uni-bielefeld.de/sfb1288inf/nlp/-/tree/1.0.0',  # noqa
                    'version': '1.0.0'
                }
            }
        }
    },
    'ocr': {
        'name': 'Optical Character Recognition',
        'versions': {
            'latest': '1.0.0',
            '1.0.0': {
                'binarization': True,
                'models': {
                    'eng': 'English',
                    'enm': 'English, Middle 1100-1500',
                    'fra': 'French',
                    'frm': 'French, Middle ca. 1400-1600',
                    'deu': 'German',
                    'frk': 'German Fraktur',
                    'ita': 'Italian',
                    'por': 'Portuguese',
                    'spa': 'Spanish; Castilian',
                },
                'publishing_data': {
                    'date': None,
                    'title': 'nopaque OCR service',
                    'url': 'https://gitlab.ub.uni-bielefeld.de/sfb1288inf/ocr/-/tree/1.0.0',  # noqa
                    'version': '1.0.0'
                }
            }
        }
    }
}


services = Blueprint('services', __name__)
from . import views
